
QGIS Application - Bug report #138

Opening dataset dialogs

2006-06-06 02:39 PM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10197

Description

In the 2006-06-05 win32 build of qgis selecting the "open" raster and vector dialogs seems to take un-natural length length of time (about

20secs on AMD64 3.8ghz). It did not do this a few releases back

History

#1 - 2006-06-06 02:49 PM - Jeremy Palmer

Updated version

#2 - 2006-08-10 04:35 AM - anonymous -

Currently I am not working on Win build.  AFAIK Gary 

is making Win build so I assigned it to him.

Sorry Gary, I know that you asked us to take some of your tickets

but I am currently working on GRASS and there are are things 

I should work on if I get time, composer for example.

Radim

#3 - 2006-09-11 02:09 AM - Gavin Macaulay -

There are a couple of Qt bugs that are fixed in 4.2.0 that may resolve this problem. Needs to be checked out...

#4 - 2006-09-18 07:12 PM - Gavin Macaulay -

This problem doesn't occur for me with 0.8 preview2, but I do note that it tries to access the floppy disk. This suggests that if there are slow network drives,

it might be waiting on them, and this could be the cause of the problem.

#5 - 2006-11-10 07:32 PM - Gary Sherman

I think this is related to accessing mapped network drives in windows. I know that the Windows version displays drives A-Z in the open dialog(s), whether

the drives exist or not.

I'm not sure if there is a way to prevent drive polling or not.
#6 - 2006-11-10 07:59 PM - Gavin Macaulay -

- Status changed from Open to Closed

- Resolution set to fixed

This problem could be related to this bug in Qt (20 sec hang on broken links):

http://www.trolltech.com/developer/task-tracker/index_html?method=entry&#38;id=93958

which is fixed in Qt 4.2.0, and seems fine with the latest windows testbuild on Windows.

#7 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
